package com.me.brickbuster;

import com.badlogic.gdx.ApplicationAdapter;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.GL20;
import com.badlogic.gdx.graphics.glutils.ShapeRenderer;
import com.badlogic.gdx.graphics.glutils.ShapeRenderer.ShapeType;

public class BrickBuster extends ApplicationAdapter {

    public static final int WIDTH = 800;
    public static final int HEIGHT = 600;
    public static final String TITLE = "Brick Buster";

	ShapeRenderer shapeRenderer;
	
	@Override
	public void create () {
		this.shapeRenderer = new ShapeRenderer();

	}

	@Override
	public void render () {
		Gdx.gl.glClearColor(0.5f,1,1,1);
		Gdx.gl.glClear(GL20.GL_COLOR_BUFFER_BIT);
        this.shapeRenderer.begin(ShapeType.Filled);
        this.shapeRenderer.setColor(Color.CHARTREUSE);
        this.shapeRenderer.circle(0,0, 100, 50);
        this.shapeRenderer.end();

	}
	
	@Override
	public void dispose () {

	}
}
